   DIM i
   DIM iStr$

   '----- LOOP , On each char
   FOR i = 0 TO 255
      iStr$ = MID$(STR$(i), 2)
      PRINT iStr$; "   ";

      '----- Print char  ( Ignoring problem chars )
      SELECT CASE i
         CASE 0, 7, 9, 10, 11, 12, 13
            PRINT "-";
         CASE 29, 30, 31
            PRINT "-";
         CASE ELSE
            PRINT CHR$(i);
      END SELECT

      PRINT
   NEXT
